#
# spec file for package gle (Version 3.0.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mesa mesa-devel mesaglut mesaglut-devel mesasoft xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mesa mesa-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         gle
Copyright:    GPL
Group:        Development/Libraries
Provides:     gle
Autoreqprov:  on
Version:      3.0.0
Release:      127
Source:       http://download.sourceforge.net/gle/gle-%{version}.tar.bz2
Patch:        gle-%{version}.dif
URL:          http://linas.org/gle/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      The GLE Tubing and Extrusion Library

%description
The GLE Tubing and Extrusion Library is a graphics application programming
interface (API). The library consists of a number of "C" language
subroutines for drawing tubing and extrusions. The library is distributed in
source code form, in a package that includes documentation, a VRML proposal,
Makefiles, and full source code and header files. It uses the OpenGL (TM)
programming API to perform the actual drawing of the tubing and extrusions.

Authors:
--------
    Linas Vepstas <linas@linas.org>
    Mark Kilgard <mjk@nvidia.com>

SuSE series: gra

%define prefix /usr/X11R6
%prep
%setup
%patch

%build
%{?suse_update_config:%{suse_update_config}}
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
		--mandir=%{_mandir} \
		--prefix=%{prefix} \
		--infodir=%{_infodir} \
		--sysconfdir=%{_sysconfdir}
make
if test $ABUILD_RUN_TEST_SUITES = true ; then
	make test
fi
mkdir html
cp -av public_html/*.html html
cp -av public_html/*.gif html

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-, root, root)
%doc AUTHORS README public_html/gle-*.lsm
%doc html
%doc %{_mandir}/man3/*
/usr/X11R6/lib/*
/usr/X11R6/include/GL/*

%changelog -n gle
* Wed Jun 06 2001 - nadvornik@suse.cz
- fixed to compile with new autoconf
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Mon Mar 12 2001 - nadvornik@suse.cz
- added mesaglut mesaglut-devel xf86 to neededforbuild
* Fri Mar 09 2001 - ro@suse.de
- added mesaglu
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Mon Dec 18 2000 - ro@suse.de
- bzipped source
- fixed to compile
* Mon Nov 20 2000 - grimmer@suse.de
- initial package (version 0.3.0)
